## libtuxcap 1.4.0.dfsg2

=== CMakeLists.txt ===
PROJECT(libtuxcap)

cmake_minimum_required(VERSION 2.4)
    if(COMMAND cmake_policy)
      cmake_policy(SET CMP0003 OLD)
    endif(COMMAND cmake_policy)

SET (CMAKE_BUILD_TYPE RELEASE)

SUBDIRS( tuxcap )

=== tuxcap/CMakeLists.txt ===
#include some macros from another file...
INCLUDE(${libtuxcap_SOURCE_DIR}/tuxcap/CMakeMacros/IJMacros.txt)

SET(CMAKE_MODULE_PATH "${libtuxcap_SOURCE_DIR}/tuxcap/CMakeModules" )

SET(CMAKE_C_FLAGS_RELEASE "-DNDEBUG -O3")
SET(CMAKE_C_FLAGS_DEBUG "-Wall -g -O0")
SET(CMAKE_CXX_FLAGS_RELEASE "-DNDEBUG -O3")
SET(CMAKE_CXX_FLAGS_DEBUG "-Wall -g -O0")

INCLUDE(FindImageMagick)
INCLUDE(FindSDL)
INCLUDE(FindOpenGL)
INCLUDE(FindSDL_mixer)
INCLUDE(FindPythonLibs)

Find_Package ( SDL REQUIRED )
Find_Package ( SDL_mixer REQUIRED )
Find_Package ( ImageMagick REQUIRED )
Find_Package ( OpenGL REQUIRED )

FIND_PACKAGE(ImageMagickLib)

FIND_PACKAGE(AudiereLib)
IF(AUDIERELIB_FOUND)
           MESSAGE("DBG lib Audiere found. ${AUDIERELIB_INCLUDE_DIR} ${AUDIERELIB_LINK_DIRECTORIES} ${AUDIERELIB_LIBRARIES}")
           LINK_DIRECTORIES(${AUDIERELIB_LINK_DIRECTORIES})
ENDIF(AUDIERELIB_FOUND)

SET(MY_LINK_LIBS    
   ${SDL_LIBRARY}
   ${SDLMIXER_LIBRARY}
   ${OPENGL_LIBRARIES}
   ${IMAGEMAGICKLIB_LIBRARIES} 
   ${IMAGEMAGICKLIB_CXX_LIBRARIES} 
)

IF (PYTHON_LIBRARIES)
     MESSAGE("Python development libraries found, building TuxCap Python bindings and examples")   
     MESSAGE("Python libraries ${PYTHON_LIBRARIES} include path ${PYTHON_INCLUDE_PATH}")   
     SET(MY_LINK_LIBS    ${MY_LINK_LIBS} ${PYTHON_LIBRARIES})       
     SET(MY_DIRS    ${MY_DIRS} pythondemo1 pythondemo2 pythondemo_template)                
ELSE (PYTHON_LIBRARIES)
     MESSAGE("No Python development libraries found, skipping building of TuxCap Python bindings")   
ENDIF (PYTHON_LIBRARIES)

SET (MY_DIRS ${MY_DIRS}
    lib
    demo1
    demo2 
    demo3 
    demo4 
    demo5 
    physicsdemo 
    physicsdemo2 
    physicsdemo3 
    physicsdemo4
    physicsdemo5 
    physicsdemo6 
    physicsdemo7 
    particledemo
    hungarr 
)

IF(AUDIERELIB_FOUND)
        SET(MY_LINK_LIBS    ${MY_LINK_LIBS} audiere)
ENDIF(AUDIERELIB_FOUND)

link_libraries (
        ${MY_LINK_LIBS}
)

IF(SDL_FOUND)
MESSAGE("libSDL found. ${SDL_INCLUDE_DIR} ${SDL_LIBRARY}")
ELSE(SDL_FOUND)
MESSAGE(FATAL_ERROR "libSDL requested but not found.")
ENDIF(SDL_FOUND)

IF(IMAGEMAGICKLIB_FOUND)
MESSAGE("lib ImageMagick found. ${IMAGEMAGICKLIB_INCLUDE_DIR} ${IMAGEMAGICKLIB_LIBRARIES} ${IMAGEMAGICKLIB_CXX_LIBRARIES}")
ELSE(IMAGEMAGICKLIB_FOUND)
MESSAGE(FATAL_ERROR "lib ImageMagick requested but not found.")
ENDIF(IMAGEMAGICKLIB_FOUND)

IF(SDLMIXER_FOUND)
MESSAGE("libSDL_mixer found. ${SDLMIXER_INCLUDE_DIR} ${SDLMIXER_LIBRARY}")
ELSE(SDLMIXER_FOUND)
MESSAGE(FATAL_ERROR "libSDL_mixer requested but not found.")
ENDIF(SDLMIXER_FOUND)

IF(OPENGL_FOUND)
MESSAGE("OpenGL found. ${OPENGL_INCLUDE_DIR} ${OPENGL_LIBRARIES}")
ELSE(OPENGL_FOUND)
MESSAGE(FATAL_ERROR "OpenGL requested but not found.")
ENDIF(OPENGL_FOUND)

SET ( MY_INCLUDE_DIRS  
#/usr/include/swfdec-0.5 /usr/include/glib-2.0 /usr/lib/glib-2.0/include 
{SDL_INCLUDE_DIR} ${IMAGEMAGICKLIB_INCLUDE_DIR} ${SDLMIXER_INCLUDE_DIR} ${OPENGL_INCLUDE_DIR} ${PYTHON_INCLUDE_PATH} )
IF(AUDIERELIB_FOUND)
SET ( MY_INCLUDE_DIRS ${MY_INCLUDE_DIRS} ${AUDIERELIB_INCLUDE_DIR} )
ENDIF(AUDIERELIB_FOUND)

INCLUDE_DIRECTORIES ( ${MY_INCLUDE_DIRS} )

SUBDIRS( ${MY_DIRS} )

=== tuxcap/demo1/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${libtuxcap_SOURCE_DIR}/tuxcap/include ${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk ${libtuxcap_SOURCE_DIR}/tuxcap/hgeparticle)

#Declare any external dependencies that your project may have here.
#examples include: ITK, VTK, JPEG, PNG, OpenGL, ZLIB, Perl, Java
#If you're not sure what name to use, look in the Modules directory of your
#cmake install and check that a file named Find(Package).cmake exists
SET(Required_Packages
#list packages here
#SDL OpenGL GLU 
)

#this foreach loads all of the packages that you specified as required.
#It shouldn't need to be modified.
FOREACH(Package ${Required_Packages})
  LOADPACKAGE(${Package})
ENDFOREACH(Package)

#Set any libraries that your project depends on.
#examples: ITKCommon, VTKRendering, etc
SET(Libraries
tuxcap
)

#the following block of code is an example of how to build an executable in
#cmake.  Unmodified, it will add an executable called "MyExe" to the project.
#MyExe will be built using the files MyClass.h and MyClass.cxx, and it will
#be linked to all the libraries you specified above. 
#You can build more than one executable per project

SET(MY_SOURCES main.cpp Board.cpp GameApp.cpp)
IF(APPLE)
            SET(MY_SOURCES ${MY_SOURCES} ${libtuxcap_SOURCE_DIR}/tuxcap/lib/SDLMain.m)
ENDIF(APPLE)

SET(CurrentExe "../../demo_1")
ADD_EXECUTABLE(${CurrentExe} ${MY_SOURCES})

TARGET_LINK_LIBRARIES(${CurrentExe} ${Libraries})

#the following line is an example of how to add a test to your project.
#Testname is the title for this particular test.  ExecutableToRun is the
#program which will be running this test.  It can either be a part of this
#project or an external executable.  After that list any args that are needed
#for this test.  Include as many tests as you like.  If your project doesn't have
#any tests you can comment out or delete the following line.
#ADD_TEST(Testname ExecutableToRun arg1 arg2 arg3)
	
#Once you're done modifying this template, you should rename it to "CMakeLists.txt"

=== tuxcap/demo2/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${libtuxcap_SOURCE_DIR}/tuxcap/include ${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk ${libtuxcap_SOURCE_DIR}/tuxcap/hgeparticle)

#Declare any external dependencies that your project may have here.
#examples include: ITK, VTK, JPEG, PNG, OpenGL, ZLIB, Perl, Java
#If you're not sure what name to use, look in the Modules directory of your
#cmake install and check that a file named Find(Package).cmake exists
SET(Required_Packages
#list packages here
#SDL OpenGL GLU 
)

#this foreach loads all of the packages that you specified as required.
#It shouldn't need to be modified.
FOREACH(Package ${Required_Packages})
  LOADPACKAGE(${Package})
ENDFOREACH(Package)

#Set any libraries that your project depends on.
#examples: ITKCommon, VTKRendering, etc
SET(Libraries
tuxcap
)

#the following block of code is an example of how to build an executable in
#cmake.  Unmodified, it will add an executable called "MyExe" to the project.
#MyExe will be built using the files MyClass.h and MyClass.cxx, and it will
#be linked to all the libraries you specified above. 
#You can build more than one executable per project

SET(MY_SOURCES main.cpp Board.cpp GameApp.cpp)
IF(APPLE)
            SET(MY_SOURCES ${MY_SOURCES} ${libtuxcap_SOURCE_DIR}/tuxcap/lib/SDLMain.m)
ENDIF(APPLE)

SET(CurrentExe "../../demo_2")
ADD_EXECUTABLE(${CurrentExe} ${MY_SOURCES})

TARGET_LINK_LIBRARIES(${CurrentExe} ${Libraries})

#the following line is an example of how to add a test to your project.
#Testname is the title for this particular test.  ExecutableToRun is the
#program which will be running this test.  It can either be a part of this
#project or an external executable.  After that list any args that are needed
#for this test.  Include as many tests as you like.  If your project doesn't have
#any tests you can comment out or delete the following line.
#ADD_TEST(Testname ExecutableToRun arg1 arg2 arg3)
	
#Once you're done modifying this template, you should rename it to "CMakeLists.txt"

=== tuxcap/demo3/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${libtuxcap_SOURCE_DIR}/tuxcap/include ${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk ${libtuxcap_SOURCE_DIR}/tuxcap/hgeparticle)

#Declare any external dependencies that your project may have here.
#examples include: ITK, VTK, JPEG, PNG, OpenGL, ZLIB, Perl, Java
#If you're not sure what name to use, look in the Modules directory of your
#cmake install and check that a file named Find(Package).cmake exists
#SET(Required_Packages
#list packages here
#SDL OpenGL GLU 
#)

#this foreach loads all of the packages that you specified as required.
#It shouldn't need to be modified.
FOREACH(Package ${Required_Packages})
  LOADPACKAGE(${Package})
ENDFOREACH(Package)

#Set any libraries that your project depends on.
#examples: ITKCommon, VTKRendering, etc
SET(Libraries
tuxcap
)

#the following block of code is an example of how to build an executable in
#cmake.  Unmodified, it will add an executable called "MyExe" to the project.
#MyExe will be built using the files MyClass.h and MyClass.cxx, and it will
#be linked to all the libraries you specified above. 
#You can build more than one executable per project

SET(MY_SOURCES main.cpp Board.cpp GameApp.cpp)
IF(APPLE)
            SET(MY_SOURCES ${MY_SOURCES} ${libtuxcap_SOURCE_DIR}/tuxcap/lib/SDLMain.m)
ENDIF(APPLE)

SET(CurrentExe "../../demo_3")
ADD_EXECUTABLE(${CurrentExe} ${MY_SOURCES})

TARGET_LINK_LIBRARIES(${CurrentExe} ${Libraries})

#the following line is an example of how to add a test to your project.
#Testname is the title for this particular test.  ExecutableToRun is the
#program which will be running this test.  It can either be a part of this
#project or an external executable.  After that list any args that are needed
#for this test.  Include as many tests as you like.  If your project doesn't have
#any tests you can comment out or delete the following line.
#ADD_TEST(Testname ExecutableToRun arg1 arg2 arg3)
	
#Once you're done modifying this template, you should rename it to "CMakeLists.txt"

=== tuxcap/demo4/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${libtuxcap_SOURCE_DIR}/tuxcap/include ${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk ${libtuxcap_SOURCE_DIR}/tuxcap/hgeparticle)

#Declare any external dependencies that your project may have here.
#examples include: ITK, VTK, JPEG, PNG, OpenGL, ZLIB, Perl, Java
#If you're not sure what name to use, look in the Modules directory of your
#cmake install and check that a file named Find(Package).cmake exists
SET(Required_Packages
#list packages here
#SDL OpenGL GLU 
)

#this foreach loads all of the packages that you specified as required.
#It shouldn't need to be modified.
FOREACH(Package ${Required_Packages})
  LOADPACKAGE(${Package})
ENDFOREACH(Package)

#Set any libraries that your project depends on.
#examples: ITKCommon, VTKRendering, etc
SET(Libraries
#list libraries here
#SDL Magick++ audiere GL GLU 
tuxcap
)

#the following block of code is an example of how to build an executable in
#cmake.  Unmodified, it will add an executable called "MyExe" to the project.
#MyExe will be built using the files MyClass.h and MyClass.cxx, and it will
#be linked to all the libraries you specified above. 
#You can build more than one executable per project

SET(MY_SOURCES main.cpp TitleScreen.cpp Board.cpp GameApp.cpp Res.cpp)
IF(APPLE)
            SET(MY_SOURCES ${MY_SOURCES} ${libtuxcap_SOURCE_DIR}/tuxcap/lib/SDLMain.m)
ENDIF(APPLE)

SET(CurrentExe "../../demo_4")
ADD_EXECUTABLE(${CurrentExe} ${MY_SOURCES})

TARGET_LINK_LIBRARIES(${CurrentExe} ${Libraries})

#the following line is an example of how to add a test to your project.
#Testname is the title for this particular test.  ExecutableToRun is the
#program which will be running this test.  It can either be a part of this
#project or an external executable.  After that list any args that are needed
#for this test.  Include as many tests as you like.  If your project doesn't have
#any tests you can comment out or delete the following line.
#ADD_TEST(Testname ExecutableToRun arg1 arg2 arg3)
	
#Once you're done modifying this template, you should rename it to "CMakeLists.txt"

=== tuxcap/demo5/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${libtuxcap_SOURCE_DIR}/tuxcap/include ${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk ${libtuxcap_SOURCE_DIR}/tuxcap/hgeparticle)

#Declare any external dependencies that your project may have here.
#examples include: ITK, VTK, JPEG, PNG, OpenGL, ZLIB, Perl, Java
#If you're not sure what name to use, look in the Modules directory of your
#cmake install and check that a file named Find(Package).cmake exists
SET(Required_Packages
#list packages here
#SDL OpenGL GLU 
)

#this foreach loads all of the packages that you specified as required.
#It shouldn't need to be modified.
FOREACH(Package ${Required_Packages})
  LOADPACKAGE(${Package})
ENDFOREACH(Package)

#Set any libraries that your project depends on.
#examples: ITKCommon, VTKRendering, etc
SET(Libraries
#list libraries here
#SDL Magick++ audiere GL GLU 
tuxcap
)

#the following block of code is an example of how to build an executable in
#cmake.  Unmodified, it will add an executable called "MyExe" to the project.
#MyExe will be built using the files MyClass.h and MyClass.cxx, and it will
#be linked to all the libraries you specified above. 
#You can build more than one executable per project

SET(MY_SOURCES main.cpp TitleScreen.cpp DemoDialog.cpp Board.cpp GameApp.cpp Res.cpp)
IF(APPLE)
            SET(MY_SOURCES ${MY_SOURCES} ${libtuxcap_SOURCE_DIR}/tuxcap/lib/SDLMain.m)
ENDIF(APPLE)

SET(CurrentExe "../../demo_5")
ADD_EXECUTABLE(${CurrentExe} ${MY_SOURCES})

TARGET_LINK_LIBRARIES(${CurrentExe} ${Libraries})

#the following line is an example of how to add a test to your project.
#Testname is the title for this particular test.  ExecutableToRun is the
#program which will be running this test.  It can either be a part of this
#project or an external executable.  After that list any args that are needed
#for this test.  Include as many tests as you like.  If your project doesn't have
#any tests you can comment out or delete the following line.
#ADD_TEST(Testname ExecutableToRun arg1 arg2 arg3)
	
#Once you're done modifying this template, you should rename it to "CMakeLists.txt"

=== tuxcap/hungarr/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${libtuxcap_SOURCE_DIR}/tuxcap/include ${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk ${libtuxcap_SOURCE_DIR}/tuxcap/hgeparticle)

#Declare any external dependencies that your project may have here.
#examples include: ITK, VTK, JPEG, PNG, OpenGL, ZLIB, Perl, Java
#If you're not sure what name to use, look in the Modules directory of your
#cmake install and check that a file named Find(Package).cmake exists
SET(Required_Packages
#list packages here
#SDL OpenGL GLU SDL_mixer
)

#this foreach loads all of the packages that you specified as required.
#It shouldn't need to be modified.
FOREACH(Package ${Required_Packages})
  LOADPACKAGE(${Package})
ENDFOREACH(Package)

#Set any libraries that your project depends on.
#examples: ITKCommon, VTKRendering, etc
SET(Libraries
#list libraries here
#SDL SDL_mixer Magick++ audiere GL GLU 
tuxcap
)

#the following block of code is an example of how to build an executable in
#cmake.  Unmodified, it will add an executable called "MyExe" to the project.
#MyExe will be built using the files MyClass.h and MyClass.cxx, and it will
#be linked to all the libraries you specified above. 
#You can build more than one executable per project

SET(MY_SOURCES  main.cpp TitleScreen.cpp OptionsDialog.cpp GameOverEffect.cpp LevelupEffect.cpp 
Board.cpp GameApp.h GameApp.cpp Res.cpp)
IF(APPLE)
            SET(MY_SOURCES ${MY_SOURCES} ${libtuxcap_SOURCE_DIR}/tuxcap/lib/SDLMain.m)
ENDIF(APPLE)

SET(CurrentExe "../../Hungarr")
ADD_EXECUTABLE(${CurrentExe} ${MY_SOURCES})

TARGET_LINK_LIBRARIES(${CurrentExe} ${Libraries})

#the following line is an example of how to add a test to your project.
#Testname is the title for this particular test.  ExecutableToRun is the
#program which will be running this test.  It can either be a part of this
#project or an external executable.  After that list any args that are needed
#for this test.  Include as many tests as you like.  If your project doesn't have
#any tests you can comment out or delete the following line.
#ADD_TEST(Testname ExecutableToRun arg1 arg2 arg3)
	
#Once you're done modifying this template, you should rename it to "CMakeLists.txt"

=== tuxcap/lib/CMakeLists.txt ===
	INCLUDE_DIRECTORIES(${libtuxcap_SOURCE_DIR}/tuxcap/include ${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk 
	${libtuxcap_SOURCE_DIR}/tuxcap/hgeparticle ${libtuxcap_SOURCE_DIR}/tuxcap/pycap )

	SET (MY_SOURCES
	Ratio.cpp 
	Buffer.cpp 
	SexyAppBase.cpp 
	MTRand.cpp 
	Common.cpp 
	Color.cpp 
	Insets.cpp 
	SexyMatrix.cpp 
	Font.cpp 
	Image.cpp 
	ImageLib.cpp 
	Graphics.cpp 
	Flags.cpp 
	Quantize.cpp 
	NativeDisplay.cpp 
	MemoryImage.cpp 
	SWTri.cpp 
	D3DInterface.cpp 
	WidgetContainer.cpp 
	WidgetManager.cpp 
	Widget.cpp 
	DescParser.cpp 
	SharedImage.cpp 
	ImageFont.cpp 
	MusicInterface.cpp  
	ButtonWidget.cpp 
	DDImage.cpp 
	DDInterface.cpp 
	ResourceManager.cpp 
	KeyCodes.cpp
	XMLParser.cpp 
	ListWidget.cpp 
	EditWidget.cpp 
	HyperlinkWidget.cpp 
	ScrollbarWidget.cpp 
	ScrollbuttonWidget.cpp 
	Checkbox.cpp 
	Slider.cpp 
	Dialog.cpp  
	CursorWidget.cpp 
	TextWidget.cpp 
	DialogButton.cpp 
	XMLWriter.cpp 
	PropertiesParser.cpp 
	NaturalCubicSpline.cpp 
	Physics.cpp
	SDLMixerMusicInterface.cpp 
	SDLMixerSoundManager.cpp 
	SDLMixerSoundInstance.cpp 
	ParticlePhysicsSystem.cpp
	#FlashWidget.cpp
	)

	SET (CHIPMUNK_SOURCES 
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/chipmunk.c
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpArbiter.c
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpArray.c
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpBB.c
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpBody.c
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpCollision.c
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpHashSet.c
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpJoint.c
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpPolyShape.c
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpShape.c
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpSpace.c
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpSpaceHash.c
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpVect.c
	)

	SET_SOURCE_FILES_PROPERTIES(${CHIPMUNK_SOURCES}
		PROPERTIES COMPILE_FLAGS "-ffast-math -std=gnu99"
	)

	SET (HGE_SOURCES 
	${libtuxcap_SOURCE_DIR}/tuxcap/hgeparticle/hgeparticle.cpp
	${libtuxcap_SOURCE_DIR}/tuxcap/hgeparticle/hgepmanager.cpp
	${libtuxcap_SOURCE_DIR}/tuxcap/hgeparticle/hgeRandom.cpp
	${libtuxcap_SOURCE_DIR}/tuxcap/hgeparticle/hgerect.cpp
	${libtuxcap_SOURCE_DIR}/tuxcap/hgeparticle/hgevector.cpp
	)

	SET_SOURCE_FILES_PROPERTIES(${HGE_SOURCES}
		PROPERTIES COMPILE_FLAGS "-ffast-math"
	)

	SET (PYCAP_SOURCES 
	${libtuxcap_SOURCE_DIR}/tuxcap/pycap/PycapApp.cpp
	${libtuxcap_SOURCE_DIR}/tuxcap/pycap/PycapBoard.cpp
	${libtuxcap_SOURCE_DIR}/tuxcap/pycap/PycapResources.cpp
	)

	SET (MY_HEADERS
	${libtuxcap_SOURCE_DIR}/tuxcap/include/Buffer.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/ButtonListener.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/ButtonWidget.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/Checkbox.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/CheckboxListener.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/Color.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/Common.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/CursorWidget.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/D3DInterface.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/DDImage.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/DDInterface.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/DescParser.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/DialogButton.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/Dialog.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/DialogListener.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/EditListener.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/EditWidget.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/Flags.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/Font.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/Graphics.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/HyperlinkWidget.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/ImageFont.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/Image.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/ImageLib.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/Insets.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/KeyCodes.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/ListListener.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/ListWidget.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/MemoryImage.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/MTRand.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/MusicInterface.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/NativeDisplay.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/NaturalCubicSpline.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/Point.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/PropertiesParser.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/Quantize.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/Ratio.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/Rect.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/ResourceManager.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/ScrollbarWidget.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/ScrollbuttonWidget.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/ScrollListener.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/SDLMixerMusicInterface.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/SDLMixerSoundInstance.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/SDLMixerSoundManager.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/SexyAppBase.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/SexyMatrix.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/Physics.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/PhysicsListener.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/SexyVector.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/SharedImage.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/Slider.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/SliderListener.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/SoundInstance.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/SoundManager.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/SWTri.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/TextWidget.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/TriVertex.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/WidgetContainer.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/Widget.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/WidgetManager.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/XMLParser.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/XMLWriter.h
	${libtuxcap_SOURCE_DIR}/tuxcap/include/ParticlePhysicsSystem.h

	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/chipmunk.h
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpArbiter.h
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpArray.h
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpBB.h
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpBody.h
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpCollision.h
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpHashSet.h
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpJoint.h
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpPolyShape.h
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpShape.h
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpSpace.h
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpSpaceHash.h
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/cpVect.h
	${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk/prime.h

	${libtuxcap_SOURCE_DIR}/tuxcap/hgeparticle/hgecolor.h
	${libtuxcap_SOURCE_DIR}/tuxcap/hgeparticle/hgeparticle.h
	${libtuxcap_SOURCE_DIR}/tuxcap/hgeparticle/hgeRandom.h
	${libtuxcap_SOURCE_DIR}/tuxcap/hgeparticle/hgerect.h
	${libtuxcap_SOURCE_DIR}/tuxcap/hgeparticle/hgevector.h    

	${libtuxcap_SOURCE_DIR}/tuxcap/pycap/PycapApp.h
	${libtuxcap_SOURCE_DIR}/tuxcap/pycap/PycapBoard.h
	${libtuxcap_SOURCE_DIR}/tuxcap/pycap/PycapResources.h
	)

	IF(AUDIERELIB_FOUND)
		SET(MY_SOURCES ${MY_SOURCES} AudiereSoundManager.cpp AudiereSoundInstance.cpp AudiereLoader.cpp AudiereMusicInterface.cpp)
		SET(MY_HEADERS ${MY_HEADERS} ${libtuxcap_SOURCE_DIR}/tuxcap/include/AudiereLoader.h
			       ${libtuxcap_SOURCE_DIR}/tuxcap/include/AudiereMusicInterface.h
			       ${libtuxcap_SOURCE_DIR}/tuxcap/include/AudiereSoundInstance.h
			       ${libtuxcap_SOURCE_DIR}/tuxcap/include/AudiereSoundManager.h
	)
	ENDIF(AUDIERELIB_FOUND)

	ADD_LIBRARY(tuxcap_static STATIC  ${MY_SOURCES} ${CHIPMUNK_SOURCES} ${HGE_SOURCES} ${PYCAP_SOURCES})
	ADD_LIBRARY(tuxcap SHARED ${MY_SOURCES} ${CHIPMUNK_SOURCES} ${HGE_SOURCES} ${PYCAP_SOURCES})


	SET_TARGET_PROPERTIES(tuxcap 
				     PROPERTIES 
				     VERSION 4.0
	)

	SET_TARGET_PROPERTIES(tuxcap_static 
				     PROPERTIES
				     PREFIX "lib"
				     SUFFIX ".a"
				     OUTPUT_NAME "tuxcap"
	)

	INSTALL(TARGETS tuxcap tuxcap_static
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
	)

	INSTALL(FILES 
	${MY_HEADERS}
	DESTINATION include/tuxcap
	)

=== tuxcap/particledemo/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${libtuxcap_SOURCE_DIR}/tuxcap/include ${libtuxcap_SOURCE_DIR}/tuxcap/hgeparticle ${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk)

#Declare any external dependencies that your project may have here.
#examples include: ITK, VTK, JPEG, PNG, OpenGL, ZLIB, Perl, Java
#If you're not sure what name to use, look in the Modules directory of your
#cmake install and check that a file named Find(Package).cmake exists
SET(Required_Packages
#list packages here
#SDL OpenGL GLU 
)

#this foreach loads all of the packages that you specified as required.
#It shouldn't need to be modified.
FOREACH(Package ${Required_Packages})
  LOADPACKAGE(${Package})
ENDFOREACH(Package)

#Set any libraries that your project depends on.
#examples: ITKCommon, VTKRendering, etc
SET(Libraries
tuxcap
)

#the following block of code is an example of how to build an executable in
#cmake.  Unmodified, it will add an executable called "MyExe" to the project.
#MyExe will be built using the files MyClass.h and MyClass.cxx, and it will
#be linked to all the libraries you specified above. 
#You can build more than one executable per project

SET(MY_SOURCES main.cpp Board.cpp GameApp.cpp)
IF(APPLE)
            SET(MY_SOURCES ${MY_SOURCES} ${libtuxcap_SOURCE_DIR}/tuxcap/lib/SDLMain.m)
ENDIF(APPLE)

SET(CurrentExe "../../particle_demo")
ADD_EXECUTABLE(${CurrentExe} ${MY_SOURCES})

TARGET_LINK_LIBRARIES(${CurrentExe} ${Libraries})

#the following line is an example of how to add a test to your project.
#Testname is the title for this particular test.  ExecutableToRun is the
#program which will be running this test.  It can either be a part of this
#project or an external executable.  After that list any args that are needed
#for this test.  Include as many tests as you like.  If your project doesn't have
#any tests you can comment out or delete the following line.
#ADD_TEST(Testname ExecutableToRun arg1 arg2 arg3)
	
#Once you're done modifying this template, you should rename it to "CMakeLists.txt"

=== tuxcap/physicsdemo/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${libtuxcap_SOURCE_DIR}/tuxcap/include ${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk ${libtuxcap_SOURCE_DIR}/tuxcap/hgeparticle)

#Declare any external dependencies that your project may have here.
#examples include: ITK, VTK, JPEG, PNG, OpenGL, ZLIB, Perl, Java
#If you're not sure what name to use, look in the Modules directory of your
#cmake install and check that a file named Find(Package).cmake exists
SET(Required_Packages
#list packages here
#SDL OpenGL GLU SDL_mixer
)

#this foreach loads all of the packages that you specified as required.
#It shouldn't need to be modified.
FOREACH(Package ${Required_Packages})
  LOADPACKAGE(${Package})
ENDFOREACH(Package)

#Set any libraries that your project depends on.
#examples: ITKCommon, VTKRendering, etc
SET(Libraries
#list libraries here
#SDL SDL_mixer Magick++ GL GLU 
tuxcap
)

#the following block of code is an example of how to build an executable in
#cmake.  Unmodified, it will add an executable called "MyExe" to the project.
#MyExe will be built using the files MyClass.h and MyClass.cxx, and it will
#be linked to all the libraries you specified above. 
#You can build more than one executable per project

SET(MY_SOURCES main.cpp Board.cpp GameApp.cpp)
IF(APPLE)
            SET(MY_SOURCES ${MY_SOURCES} ${libtuxcap_SOURCE_DIR}/tuxcap/lib/SDLMain.m)
ENDIF(APPLE)

SET(CurrentExe "../../Physicsdemo")
ADD_EXECUTABLE(${CurrentExe} ${MY_SOURCES})

TARGET_LINK_LIBRARIES(${CurrentExe} ${Libraries})

#the following line is an example of how to add a test to your project.
#Testname is the title for this particular test.  ExecutableToRun is the
#program which will be running this test.  It can either be a part of this
#project or an external executable.  After that list any args that are needed
#for this test.  Include as many tests as you like.  If your project doesn't have
#any tests you can comment out or delete the following line.
#ADD_TEST(Testname ExecutableToRun arg1 arg2 arg3)
	
#Once you're done modifying this template, you should rename it to "CMakeLists.txt"

=== tuxcap/physicsdemo2/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${libtuxcap_SOURCE_DIR}/tuxcap/include ${libtuxcap_SOURCE_DIR}/tuxcap/chipmunk ${libtuxcap_SOURCE_DIR}/tuxcap/hgeparticle)

#Declare any external dependencies that your project may have here.
#examples include: ITK, VTK, JPEG, PNG, OpenGL, ZLIB, Perl, Java
#If you're not sure what name to use, look in the Modules directory of your
#cmake install and check that a file named Find(Package).cmake exists
SET(Required_Packages
#list packages here
#SDL OpenGL GLU SDL_mixer
)

#this foreach loads all of the packages that you specified as required.
#It shouldn't need to be modified.
FOREACH(Package ${Required_Packages})
  LOADPACKAGE(${Package})
ENDFOREACH(Package)

#Set any libraries that your project depends on.
#examples: ITKCommon, VTKRendering, etc
SET(Libraries
#list libraries here
#SDL SDL_mixer Magick++ audiere GL GLU 
tuxcap
)

#the following block of code is an example of how to build an executable in
#cmake.  Unmodified, it will add an executable called "MyExe" to the project.
#MyExe will be built using the files MyClass.h and MyClass.cxx, and it will
#be linked to all the libraries you specified above. 
#You can build more than one executable per project

SET(MY_SOURCES main.cpp Board.cpp GameApp.cpp)
IF(APPLE)
            SET(MY_SOURCES ${MY_SOURCES} ${libtuxcap_SOURCE_DIR}/tuxcap/lib/SDLMain.m)
ENDIF(APPLE)

SET(CurrentExe "../../Physicsdemo2")
ADD_EXECUTABLE(${CurrentExe} ${MY_SOURCES})

TARGET_LINK_LIBRARIES(${CurrentExe} ${Libraries})

#the following line is an example of how to add a test to your project.
#Testname is the title for this particular test.  ExecutableToRun is the
#program which will be running this test.  It can either be a part of this
#project or an external executable.  After that list any args that are needed
#for this test.  Include as many tests as you like.  If your project doesn't have
#any tests you can comment out or delete the following line.
#ADD_TEST(Testname ExecutableToRun arg1 arg2 arg3)
	
#Once you're done modifying this template, you should rename it to "CMakeLists.txt"

=== debian/changelog ===
libtuxcap (1.4.0.dfsg2-2.3ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 08:23:13 +0100

libtuxcap (1.4.0.dfsg2-2.3ubuntu1) focal; urgency=medium

  * (Build-)depend on python2-dev.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2020 18:12:58 +0100

libtuxcap (1.4.0.dfsg2-2.3build3) cosmic; urgency=medium

  * No-change rebuild against imagemagick.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 10 Aug 2018 18:15:47 -0500

libtuxcap (1.4.0.dfsg2-2.3build2) zesty; urgency=medium

  * Rebuild against new imagemagick 6.9.7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Jan 2017 13:34:10 +0100

libtuxcap (1.4.0.dfsg2-2.3build1) zesty; urgency=medium

  * No-change rebuild against latest imagemagick

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Dec 2016 21:09:05 -0500

libtuxcap (1.4.0.dfsg2-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix building with GCC 6. (Closes: #811785)

 -- Johannes Brandstätter <jbrandst@2ds.eu>  Sun, 25 Sep 2016 13:36:46 +0200

libtuxcap (1.4.0.dfsg2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use pkg-config to get ImageMagick build flags (closes: #747908).

 -- Colin Watson <cjwatson@debian.org>  Thu, 06 Nov 2014 10:16:34 +0000

libtuxcap (1.4.0.dfsg2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: Could NOT find ImageMagick":
    add patch to deal with cmake's ImageMagick module changes
    (Closes: #674369)

 -- gregor herrmann <gregoa@debian.org>  Thu, 07 Jun 2012 16:14:22 +0200

libtuxcap (1.4.0.dfsg2-2) unstable; urgency=low

  * Team upload.

  [ Miriam Ruiz ]
  * Upgraded Standards-Version from 3.8.3 to 3.9.2
  * Modified libmagick* packages in Build-Depends.
    The new ones which are: libmagickwand-dev, libmagick++-dev
    (Closes: #625599, #628853, #629764)
  * Acknowledged NMUs

  [ Bruno "Fuddl" Kleinert ]
  * Put "Closes: ..." magic behind Miriam's second changelog entry.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 09 Jun 2011 17:25:47 +0200

libtuxcap (1.4.0.dfsg2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * (Build-)Depend on python-dev instead of python2.5-dev. Closes: #596310.
  * debian/patches/kfreebsd.patch:
    - Fixes FTBFS on kfreebsd ports. Closes: #568166.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 01 May 2011 21:35:03 +0200

libtuxcap (1.4.0.dfsg2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on python-dev (>= 2.6), python-dev (<< 2.7) instead of
    python2.5-dev. Use python2.6 in debian/demos.patch. Closes: #596310.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Sep 2010 12:11:31 +0200

libtuxcap (1.4.0.dfsg2-1) unstable; urgency=low

  * Initial release. Closes: #536867

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 14 Jan 2010 11:53:40 +0000

=== debian/control ===
Source: libtuxcap
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>
Build-Depends: debhelper (>= 7), dh-buildinfo, quilt, cmake,
 libsdl1.2-dev, libsdl-mixer1.2-dev,libgl1-mesa-dev, libglu1-mesa-dev,
 libmagickwand-dev, libmagick++-dev, python2-dev
Standards-Version: 3.9.2
Section: libs
Homepage: http://tuxcap.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/libtuxcap/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/libtuxcap/?op=log

Package: libtuxcap-dev
Section: libdevel
Architecture: any
Depends: libtuxcap4.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 libc6-dev, libsdl1.2-dev, libsdl-mixer1.2-dev,libgl1-mesa-dev, libglu1-mesa-dev,
 libmagickwand-dev, libmagick++-dev, python2-dev
Description: framework for developing 2D games - development files
 The TuxCap Games Framework is a GNU/Linux port of the PopCap Games Framework,
 used for professional 2D game development. It comes with PyCap bindings for
 Python, a fast 2D physics engine, a particle engine, widgets and many
 documented examples.
 .
 This package contains the library headers and documentation for developers.

Package: libtuxcap4.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: framework for developing 2D games - runtime libraries
 The TuxCap Games Framework is a GNU/Linux port of the PopCap Games Framework,
 used for professional 2D game development. It comes with PyCap bindings for
 Python, a fast 2D physics engine, a particle engine, widgets and many
 documented examples.

Package: libtuxcap4.0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libtuxcap4.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: framework for developing 2D games - debugging symbols
 The TuxCap Games Framework is a GNU/Linux port of the PopCap Games Framework,
 used for professional 2D game development. It comes with PyCap bindings for
 Python, a fast 2D physics engine, a particle engine, widgets and many
 documented examples.
 .
 This package contains the debugging symbols for the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PATH := $(PATH):$(CURDIR)/debian/bin
export PATH

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LDFLAGS=-Wl,--as-needed -Wl,-z,defs -Wl,--no-undefined

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

patch:
	$(MAKE) -f /usr/share/quilt/quilt.make patch

config: config-stamp
config-stamp:
	dh_testdir
	mkdir -p debian/tmp-build
	cp tuxcap-build/* debian/tmp-build -r
	cd debian/tmp-build && cmake --debug-output \
		-D CMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
		-D CMAKE_CXX_FLAGS_RELWITHDEBINFO="${CFLAGS} -g" \
		-D CMAKE_C_FLAGS_RELWITHDEBINFO="${CFLAGS} -g" \
		-D CMAKE_CXX_FLAGS_RELEASE="${CFLAGS}" \
		-D CMAKE_C_FLAGS_RELEASE="${CFLAGS}" \
		-D CMAKE_CXX_FLAGS_DEBUG="${CFLAGS} -g" \
		-D CMAKE_C_FLAGS_DEBUG="${CFLAGS} -g" \
		-D CMAKE_SKIP_RPATH=true \
		-D CMAKE_SHARED_LINKER_FLAGS="${LDFLAGS}" \
		-D CMAKE_VERBOSE_MAKEFILE=true \
		-D CMAKE_INSTALL_PREFIX=/usr \
		$(CURDIR)
	touch $@

build: build-stamp
build-stamp: patch config-stamp
	dh_testdir
	cd debian/tmp-build && $(MAKE)
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp config-stamp
	rm -rf debian/tmp-build
	$(MAKE) -f /usr/share/quilt/quilt.make unpatch
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	cd debian/tmp-build && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs CHANGELOG -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	test -e /usr/bin/dh_buildinfo && dh_buildinfo -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs CHANGELOG -a
	dh_installdocs -a
	dh_installexamples -a
	cd debian/libtuxcap-dev/usr/share/doc/libtuxcap-dev/examples/ && \
		patch -p2 < $(CURDIR)/debian/demos.patch
	dh_install -a
#	dh_installmenu -a
#	dh_installdebconf -a
	dh_installman -a
	dh_link -a
	dh_strip --dbg-package=libtuxcap4.0-dbg -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl -a
#	dh_python -a
	dh_makeshlibs -a
	test -e /usr/bin/dh_buildinfo && dh_buildinfo -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

get-orig-source:
	dh_testdir
	dh_testroot
	rm -f libtuxcap-1.4.0.tar.gz
	wget http://downloads.sourceforge.net/project/tuxcap/tuxcap/libtuxcap-1.4.0/libtuxcap-1.4.0.tar.gz?use_mirror=surfnet
	rm -rf libtuxcap-1.4.0
	tar xvfz libtuxcap-1.4.0.tar.gz
	rm libtuxcap-1.4.0.tar.gz
	rm -f `find libtuxcap-1.4.0 -name "*.ogg"`
	rm -f `find libtuxcap-1.4.0 -name "*.gif"`
	rm -f `find libtuxcap-1.4.0 -name "*.png"`
	rm -f libtuxcap-1.4.0/fonts/*
	rm -f libtuxcap-1.4.0/images/*
	rm -f libtuxcap-1.4.0/music/*
	rm -f libtuxcap-1.4.0/sounds/*
	rm -f libtuxcap-1.4.0/doc/*.pdf
	rm -f ../libtuxcap_1.4.0.dfsg2.orig.tar.gz
	tar cvfz ../libtuxcap_1.4.0.dfsg2.orig.tar.gz libtuxcap-1.4.0
	rm -r libtuxcap-1.4.0

binary: binary-indep binary-arch
.PHONY: patch config build clean binary-indep binary-arch binary install get-orig-source
